comparison configure @ 4408:8bbabcab2c42

Merge.
author Aidan Kehoe <kehoea@parhasard.net>
date Sun, 20 Jan 2008 13:09:58 +0100
parents 01970033faa6
children 2f000e022a8b fd8a9a4d81d9
comparison
equal deleted inserted replaced
4407:4ee73bbe4f8e 4408:8bbabcab2c42
37244 if test $ac_cv_lib_gdbm_dbm_open = yes; then 37244 if test $ac_cv_lib_gdbm_dbm_open = yes; then
37245 37245
37246 enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm 37246 enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm
37247 else 37247 else
37248 37248
37249 { echo "$as_me:$LINENO: checking for dbm_open in -lgdbm_compat" >&5
37250 echo $ECHO_N "checking for dbm_open in -lgdbm_compat... $ECHO_C" >&6; }
37251 if test "${ac_cv_lib_gdbm_compat_dbm_open+set}" = set; then
37252 echo $ECHO_N "(cached) $ECHO_C" >&6
37253 else
37254 ac_check_lib_save_LIBS=$LIBS
37255 LIBS="-lgdbm_compat -lgdbm $LIBS"
37256 cat >conftest.$ac_ext <<_ACEOF
37257 /* confdefs.h. */
37258 _ACEOF
37259 cat confdefs.h >>conftest.$ac_ext
37260 cat >>conftest.$ac_ext <<_ACEOF
37261 /* end confdefs.h. */
37262
37263 /* Override any GCC internal prototype to avoid an error.
37264 Use char because int might match the return type of a GCC
37265 builtin and then its argument prototype would still apply. */
37266 #ifdef __cplusplus
37267 extern "C"
37268 #endif
37269 char dbm_open ();
37270 int
37271 main ()
37272 {
37273 return dbm_open ();
37274 ;
37275 return 0;
37276 }
37277 _ACEOF
37278 rm -f conftest.$ac_objext conftest$ac_exeext
37279 if { (ac_try="$ac_link"
37280 case "(($ac_try" in
37281 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
37282 *) ac_try_echo=$ac_try;;
37283 esac
37284 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
37285 (eval "$ac_link") 2>conftest.er1
37286 ac_status=$?
37287 grep -v '^ *+' conftest.er1 >conftest.err
37288 rm -f conftest.er1
37289 cat conftest.err >&5
37290 echo "$as_me:$LINENO: \$? = $ac_status" >&5
37291 (exit $ac_status); } && {
37292 test -z "$ac_c_werror_flag" ||
37293 test ! -s conftest.err
37294 } && test -s conftest$ac_exeext &&
37295 $as_test_x conftest$ac_exeext; then
37296 ac_cv_lib_gdbm_compat_dbm_open=yes
37297 else
37298 echo "$as_me: failed program was:" >&5
37299 sed 's/^/| /' conftest.$ac_ext >&5
37300
37301 ac_cv_lib_gdbm_compat_dbm_open=no
37302 fi
37303
37304 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
37305 conftest$ac_exeext conftest.$ac_ext
37306 LIBS=$ac_check_lib_save_LIBS
37307 fi
37308 { echo "$as_me:$LINENO: result: $ac_cv_lib_gdbm_compat_dbm_open" >&5
37309 echo "${ECHO_T}$ac_cv_lib_gdbm_compat_dbm_open" >&6; }
37310 if test $ac_cv_lib_gdbm_compat_dbm_open = yes; then
37311
37312 enable_database_gdbm=yes enable_database_dbm=no libdbm="-lgdbm_compat -lgdbm"
37313 else
37314
37249 if test "$enable_database_gdbm" = "yes"; then 37315 if test "$enable_database_gdbm" = "yes"; then
37250 { echo "Error:" "Required GNU DBM support cannot be provided." >&2; exit 1; } 37316 { echo "Error:" "Required GNU DBM support cannot be provided." >&2; exit 1; }
37251 fi 37317 fi
37252 enable_database_gdbm=no 37318 enable_database_gdbm=no
37319 fi
37320
37321
37253 fi 37322 fi
37254 37323
37255 fi 37324 fi
37256 37325
37257 if test "$enable_database_dbm" != "no"; then 37326 if test "$enable_database_dbm" != "no"; then
37900 37969
37901 fi 37970 fi
37902 37971
37903 fi 37972 fi
37904 37973
37905 if test "$enable_database_berkdb" != "yes" -a "$dbver" = "4"; then 37974 if test "$enable_database_berkdb" = "yes" -a "$dbver" = "4"; then
37906 rm -f $tempcname 37975 rm -f $tempcname
37907 echo "#include <$db_h_file>" > $tempcname 37976 echo "#include <$db_h_file>" > $tempcname
37908 echo "configure___ dbfunc=db_create" >> $tempcname 37977 echo "configure___ dbfunc=db_create" >> $tempcname
37909 eval `$CPP -Isrc $tempcname \ 37978 eval `$CPP -Isrc $tempcname \
37910 | sed -n -e "s/[ TAB]*=[ TAB\"]*/='/" -e "s/[ TAB\"]*\$/'/" -e "s/^configure___//p"` 37979 | sed -n -e "s/[ TAB]*=[ TAB\"]*/='/" -e "s/[ TAB\"]*\$/'/" -e "s/^configure___//p"`